Tool not Valid Error in ArcGIS 10.1

Sep 7, 2012 at 4:27 AM

Hi,

I am getting a 000816 error from arcgis when I try to run any of the tools from the OSM toolbox. I am using ArcGIS 10.1 (Advanced) on 64-bit Win 7.

I first installed the stable version of 2.0 and then installed 2.1 Beta 2. There are details/screen captures etc in http://gis.stackexchange.com/questions/32872/how-do-you-create-revision-table-in-arcmap-for-osm-contribution

I have also tried to just install 2.1 Beta 2 without first installing 2.0

Best,

Developer
Sep 7, 2012 at 4:16 PM

I think you found yourself in the unfortunate situation between betas releases that were misconfigured. The OSM tools should always be licensed and always work after the install. However....there was an unfortunate chain of events where my first attempt of making the toolbox work in 10.0 and 10.1 failed miserably. All this got fixed last night and should be working again with the next beta.

Unless you are explicitly attempting to use the new networking tool I would suggest to stick with the 2.0 release until the next beta is pushed -- which at that point should also be feature complete.

- Thomas

Sep 24, 2012 at 7:55 AM

I am getting the same error with the latest beta.

It's a version created on ‎Friday, ‎March ‎23, ‎2012.

I'm new to ArcMap - it's a 60-day trial version.

Maybe I placed the OSM toolbox in the wrong place?

Any other ideas?

Coordinator
Sep 25, 2012 at 1:13 AM

Hello valleyofdawn,

If you are using the version created on ‎Friday, ‎March ‎23, ‎2012, that version is only compatible with ArcGIS 10.0.  Are you using ArcGIS 10.1? If so, then you will need to use one of our in-beta versions (e.g., this release: http://esriosmeditor.codeplex.com/releases/view/94076) and we'll be releasing updates in the common weeks. As noted, with the beta for 10.1 release, you may see some issues - if so, let us know; we're working on getting things resolved so we can release the Final soon.

Many thanks!

Christine

Sep 25, 2012 at 12:26 PM

Dear Christine, thsnks for your quick reply.

 

Still couldn't make it work.

The beta installer only replaced the Bin folder, not the DATA folder and the OpenStreetMap Toolbox.tbx file remained from March .

When trying the tools it still gave me the invalid error.

When I physically removed the entire OSMEditor folder, the beta installer intalled only the BIN folder, and I couldn't find toolboxes to install.

What am I doing wrong?

 

Thanks

Coordinator
Sep 25, 2012 at 4:23 PM

Hello valleyofdawn,

From your response, I assume your system environment is ArcGIS 10.1? If so, then you can use the beta versions; if not, you should use the version from March 23.  An important note: When you do a new install of ArcGIS Editor for OSM, you must first uninstall the old version. Use the Windows Add/Remove programs option to do this. The beta versions will install the OSM Toolbox to the System Toolboxes folder, not the C:\Program Files\... path.  So after installing, you can navigate to the "System Toolboxes" in the ArcCatalog window and under the System Toolboxes you should see the OpenStreetMap Toolbox.  You should not have to manually move any files/toolboxes; the installer takes care of this.

 

Christine

Sep 25, 2012 at 6:05 PM

Thomas & Christine,

Realizing the same problem here, running ArcGIS Desktop 10.1.
The latest beta (ArcGIS_Editor_for_OSM_2_1_Desktop_Beta2, released 9/5) appears to only extract ESRI/OSMEditor/Bin folder.

I should note that I installed/removed the stable 2.0 release after realizing 10.1 was not supported.

Steven

Oct 25, 2012 at 4:04 AM

Hello Thomas and Christine,

I am a new ArcGis user.

My platform is ArcMap 10.1 running on a Windows Server 2008 R2 Standard SP1

After de-installing V2 and 2.1 beta then re-installing 2.1 beta The 'load OSM file' tool opens a OSM file, apparently parses it OK as it displays number of nodes, ways and relations.

It then fails with a displayed stack of 4 error messages:

  1. Error HRESULT E_FAIL has been returned from a call to a COM component.
  2. at ESRI.ArcGIS.Geoprocessing.GPUtilitiesClass.IGPUtilities3_CreateParentFromCatalogPath(String catalogPath...
  3. at ESRI.ArcGIS.Geoprocessing.OSMGPFileLoader.Execcute(...
  4. Failed to execute (OSMGPFileLoader).

Hope this helps.

regards

Bob

Coordinator
Oct 30, 2012 at 11:47 PM

Hello Bob, 

Apologies for the delay - we discussed this error today, and need to ask you to confirm which beta version you are installing. Is it the latest, available at http://esriosmeditor.codeplex.com/releases/view/96207 (2.1 Beta 3)?

eggwhites (Christine)

Developer
Oct 31, 2012 at 6:31 PM

Bob,

I noticed the issue if the database itself doesn't exist yet. Try to create the target database first and then load the data into it. We'll adjust the code to handle this situation.

- Thomas

Coordinator
Nov 1, 2012 at 5:16 PM

Hello Bob,

We can always use the good feedback so if you have time, we'd like to know the version you have installed. To find that, open your Windows Control Panel and use the "Programs and Features" option to see what programs are installed. When you click on the "ArcGIS Editor for OpenStreetMap" program in the list, at the bottom of the window the version number should show (likely 2.1.xx format, where xx is the build number).

Many thanks!

Christine

Nov 1, 2012 at 6:48 PM
Hi Christine, 2.1.42 HTH regards Bob On 2/11/2012 5:16 a.m., eggwhites wrote: > > From: eggwhites > > Hello Bob, > > We can always use the good feedback so if you have time, we'd like to > know the version you have installed. To find that, open your Windows > Control Panel and use the "Programs and Features" option to see what > programs are installed. When you click on the "ArcGIS Editor for > OpenStreetMap" program in the list, at the bottom of the window the > version number should show (likely 2.1.xx format, where xx is the > build number). > > Many thanks! > > Christine > > Read the full discussion online > . > > To add a post to this discussion, reply to this email > (esriosmeditor@discussions.codeplex.com > ) > > To start a new discussion for this project, email > esriosmeditor@discussions.codeplex.com > > > You are receiving this email because you subscribed to this discussion > on CodePlex. You can unsubscribe > > on CodePlex.com. > > Please note: Images and attachments will be removed from emails. Any > posts to this discussion will also be available online at CodePlex.com > -- Emailsig Bob Clegg Analyst Programmer P: +(64) 4 4727614 F: +(64) 4 4727658 DDI: +(64) 4 9166215 M: +(64) 21 389136 E: bob_clegg@adriley.co.nz *Caution:* The information contained in this E-Mail message is legally privileged and confidential. If the reader of this message is not the intended recipient you are hereby notified that any use, dissemination, distribution or reproduction of this message is prohibited. If you have received this message in error please notify the sender immediately Hi Christine,
2.1.42
HTH
regards
Bob
On 2/11/2012 5:16 a.m., eggwhites wrote:

Bob Clegg
Analyst Programmer

P: +(64) 4 4727614
F: +(64) 4 4727658
DDI: +(64) 4 9166215
M: +(64) 21 389136
E: bob_clegg@adriley.co.nz

Caution: The information contained in this E-Mail message is legally privileged and confidential. If the reader of this message is not the intended recipient you are hereby notified that any use, dissemination, distribution or reproduction of this message is prohibited. If you have received this message in error please notify the sender immediately